/*
 * Class NATURAL_32_REF
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_851 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_851 [] = {0xFF01,1551,850,0xFFFF};
static const EIF_TYPE_INDEX egt_2_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_3_851 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_851 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_6_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_7_851 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_851 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_851 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_851 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_851 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_13_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_14_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_15_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_16_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_17_851 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_19_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_20_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_21_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_22_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_23_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_24_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_25_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_26_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_27_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_28_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_29_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_30_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_31_851 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_32_851 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_851[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_851), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_851), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_851), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_851), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_851), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_851), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_851), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_851), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_851), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_851), 21221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_851), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_851), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A5 /*850*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_851), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_851), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_851), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21159, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_851), 21183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21185, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_851), 21186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21196, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21198, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21199, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21202, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21205, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_851), 21206, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21210, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_851), 21211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_851), 21212, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_851), 21213, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_851), 21214, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21215, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_851), 21216, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_851), 21217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21218, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21220, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21172, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_851), 21162, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_851), 21163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21171, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_851), 21176, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_851), 21177, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_851), 21178, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_851), 21182, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_851), 21180, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_851), 21181, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_851), 21221, 0xFFFFFFFF},
};
void Init851(void)
{
	IDSC(desc_851, 0, 850);
	IDSC(desc_851 + 1, 1, 850);
	IDSC(desc_851 + 32, 1459, 850);
	IDSC(desc_851 + 36, 939, 850);
	IDSC(desc_851 + 39, 1372, 850);
	IDSC(desc_851 + 87, 700, 850);
	IDSC(desc_851 + 89, 171, 850);
	IDSC(desc_851 + 99, 224, 850);
}


#ifdef __cplusplus
}
#endif
